P4_M_COMMA_S(3)

NAME
p4_m_comma_s - M,S ( addr len -- addr' len )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_m_comma_s(---);

DESCRIPTION

ALLOT room and store the ANS Forth string into aligned data space as an mstring, leaving data space zero-filled to alignment; and leave the length and new body address. It is assumed that len is unsigned. An error is thrown if len is larger than the system parameter MAX_DATA_STR. "m-comma-s"

NOTE: MAX_DATA_STR is returned by

        S" /SCOPY" ENVIRONMENT?

NOTE: M,S differs from STRING, in Wil Baden's Tool Belt in that it stores an aligned, measured string with zero-filled alignment instead of a counted string, and it leaves the ANS Forth string representation of the stored string.

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams